{
	"info": {
		"_postman_id": "7061874b-c303-4fc5-831b-bb91e67e3ac8",
		"name": "IOT Custom API's",
		"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json",
		"_exporter_id": "12163649",
		"_collection_link": "https://grey-spaceship-9092.postman.co/workspace/Vib360~41726aa6-7508-4850-8449-548b79bff0f0/collection/12163649-7061874b-c303-4fc5-831b-bb91e67e3ac8?action=share&source=collection_link&creator=12163649"
	},
	"item": [
		{
			"name": "Login",
			"item": [
				{
					"name": "User login",
					"request": {
						"auth": {
							"type": "noauth"
						},
						"method": "POST",
						"header": [],
						"body": {
							"mode": "formdata",
							"formdata": [
								{
									"key": "email",
									"value": "nikhil.kadam@wdimails.com",
									"type": "text"
								},
								{
									"key": "password",
									"value": "123123",
									"type": "text"
								}
							]
						},
						"url": {
							"raw": "{{staging}}apic/user-login",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"user-login"
							]
						}
					},
					"response": []
				},
				{
					"name": "Admin login",
					"request": {
						"method": "POST",
						"header": [
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"body": {
							"mode": "formdata",
							"formdata": [
								{
									"key": "email",
									"value": "tenant1@thingsboard.org",
									"type": "text"
								},
								{
									"key": "password",
									"value": "tenant1",
									"type": "text"
								}
							]
						},
						"url": {
							"raw": "{{staging}}apia/admin-login",
							"host": [
								"{{staging}}apia"
							],
							"path": [
								"admin-login"
							]
						},
						"description": "Generated from cURL: curl --location 'http://127.0.0.1:8000/apia/admin-login' \\\r\n--header 'Accept: application/json' \\\r\n--form 'username=\"tenant1@thingsboard.org\"' \\\r\n--form 'password=\"tenant1\"'"
					},
					"response": []
				}
			]
		},
		{
			"name": "Customer Old",
			"item": [
				{
					"name": "Telemetry",
					"item": [
						{
							"name": "Telemetry based on asset id",
							"request": {
								"method": "POST",
								"header": [
									{
										"key": "Accept",
										"value": "application/json"
									},
									{
										"key": "Authorization",
										"value": "Bearer {{user-token}}",
										"type": "text"
									}
								],
								"body": {
									"mode": "formdata",
									"formdata": [
										{
											"key": "asset_id",
											"value": "d17359b0-f36c-11ef-a9dc-45dd276e4cd5",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "{{staging}}apic/telemetry-data-asset",
									"host": [
										"{{staging}}apic"
									],
									"path": [
										"telemetry-data-asset"
									]
								},
								"description": "Generated from cURL: curl --location 'http://vib360backend.betadelivery.com/apic/telemetry-data-asset' \\\r\n--header 'Accept: application/json' \\\r\n--form 'asset_id=\"a5daeb60-f36c-11ef-a9dc-45dd276e4cd5\"'"
							},
							"response": []
						},
						{
							"name": "Telemetry based on device id",
							"request": {
								"auth": {
									"type": "noauth"
								},
								"method": "POST",
								"header": [
									{
										"key": "Accept",
										"value": "application/json"
									},
									{
										"key": "Authorization",
										"value": "Bearer {{user-token}}"
									}
								],
								"body": {
									"mode": "formdata",
									"formdata": [
										{
											"key": "device_id",
											"value": "a4934bd0-f34e-11ef-a9dc-45dd276e4cd5",
											"type": "text"
										},
										{
											"key": "startTs",
											"value": "",
											"type": "text"
										},
										{
											"key": "endTs",
											"value": "",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "{{staging}}apic/telemetry-data-device",
									"host": [
										"{{staging}}apic"
									],
									"path": [
										"telemetry-data-device"
									]
								}
							},
							"response": []
						}
					]
				},
				{
					"name": "Alerts & Instructions",
					"protocolProfileBehavior": {
						"disableBodyPruning": true
					},
					"request": {
						"auth": {
							"type": "noauth"
						},
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "formdata",
							"formdata": [
								{
									"key": "device_id",
									"value": "2072cac0-f34d-11ef-a9dc-45dd276e4cd5",
									"type": "text",
									"disabled": true
								}
							]
						},
						"url": {
							"raw": "{{staging}}apic/alert-message/56cb2ed0-f359-11ef-a9dc-45dd276e4cd5",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"alert-message",
								"56cb2ed0-f359-11ef-a9dc-45dd276e4cd5"
							]
						}
					},
					"response": []
				},
				{
					"name": "Customer device info",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}"
							}
						],
						"url": {
							"raw": "{{staging}}apic/customer-device-info",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"customer-device-info"
							]
						},
						"description": "Generated from cURL: curl --location 'http://vib360backend.betadelivery.com/apic/customer-device-info' \\\n--header 'Authorization: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJodHRwOi8vdmliMzYwYmFja2VuZC5iZXRhZGVsaXZlcnkuY29tL2FwaWMvdXNlci1sb2dpbiIsImlhdCI6MTc0Mzc1MTAzMCwiZXhwIjoxNzQzNzU0NjMwLCJuYmYiOjE3NDM3NTEwMzAsImp0aSI6Ik5CZUhUaXJxSHVFVGs1aG4iLCJzdWIiOiIwOGM5NzdmMC1mYTdhLTExZWYtYTlkYy00NWRkMjc2ZTRjZDUiLCJwcnYiOiIyM2JkNWM4OTQ5ZjYwMGFkYjM5ZTcwMWM0MDA4NzJkYjdhNTk3NmY3In0.6yTCImQiGkYQIr3h7wTjOh4ILxEdEehWuwy3AqF3kTI'"
					},
					"response": []
				},
				{
					"name": "User assets & devices",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}"
							}
						],
						"url": {
							"raw": "{{staging}}apic/user-assets",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"user-assets"
							]
						},
						"description": "Generated from cURL: curl --location 'http://127.0.0.1:8000/apic/user-assets' \\\r\n--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJodHRwOi8vMTI3LjAuMC4xOjgwMDAvYXBpYy91c2VyLWxvZ2luIiwiaWF0IjoxNzQyOTc0NDY3LCJleHAiOjE3NDI5NzgwNjcsIm5iZiI6MTc0Mjk3NDQ2NywianRpIjoiN1kzamlHNDRjSkRnSGtoRiIsInN1YiI6Ijg4OThmMzgwLWZkOWUtMTFlZi1hOWRjLTQ1ZGQyNzZlNGNkNSIsInBydiI6IjIzYmQ1Yzg5NDlmNjAwYWRiMzllNzAxYzQwMDg3MmRiN2E1OTc2ZjcifQ.a6ENdHh9dZzymtfh5vsXBLJb3EJEFXwPN3maTxZkuS4'"
					},
					"response": []
				}
			]
		},
		{
			"name": "Admin",
			"item": [
				{
					"name": "Customer",
					"item": [
						{
							"name": "Create customer",
							"request": {
								"method": "POST",
								"header": [
									{
										"key": "Content-Type",
										"value": "application/json"
									},
									{
										"key": "Accept",
										"value": "application/json"
									}
								],
								"body": {
									"mode": "raw",
									"raw": "{\r\n//   \"country\": \"India\",\r\n//   \"state\": \"Maharashtra\",\r\n//   \"city\": \"mumbai\",\r\n//   \"address\": \"Malad west\",\r\n//   \"address2\": \"Malad west\",\r\n//   \"zip\": \"400095\",\r\n//   \"phone\": \"+1(415)777-7777\",\r\n  \"email\": \"customer1@yopmail.com\",\r\n  \"title\": \"New\"\r\n//   \"additionalInfo\": {\r\n//     \"description\": \"Testingdas dWdsDI User\"\r\n//   }\r\n\r\n}",
									"options": {
										"raw": {
											"language": "json"
										}
									}
								},
								"url": {
									"raw": "{{staging}}apia/customer/create-or-update",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"customer",
										"create-or-update"
									]
								},
								"description": "Generated from cURL: curl --location 'http://127.0.0.1:8000/apia/customer/create-or-update' \\\r--header 'Content-Type: application/json' \\\r--header 'Accept: application/json' \\\r--data-raw '{\r\r\r\r\r  \"country\": \"India\",\r  \"state\": \"Maharashtra\",\r  \"city\": \"mumbai\",\r  \"address\": \"Malad west\",\r  \"address2\": \"Malad west\",\r  \"zip\": \"400095\",\r  \"phone\": \"+1(415)777-7777\",\r  \"email\": \"mailto:sayliraut323@yopmail.com\",\r  \"title\": \"Test45\",\r  \"additionalInfo\": {\r    \"description\": \"Testingdas dWdsDI User\"\r  }\r\r\r\r\r}'"
							},
							"response": []
						},
						{
							"name": "Customer listing",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/customer/list",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"customer",
										"list"
									]
								},
								"description": "Generated from cURL: curl --location 'http://127.0.0.1:8000/apia/customer/list'"
							},
							"response": []
						},
						{
							"name": "Delete customer",
							"request": {
								"method": "POST",
								"header": [
									{
										"key": "Accept",
										"value": "application/json"
									}
								],
								"body": {
									"mode": "formdata",
									"formdata": [
										{
											"key": "customer_id",
											"value": "97bcc1d0-03fb-11f0-a9dc-45dd276e4cd5",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "{{staging}}apia/customer/delete",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"customer",
										"delete"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/customer/delete' \\\r\n--header 'Content-Type: application/json' \\\r\n--header 'Accept: application/json' \\\r\n--form 'customer_id=\"97bcc1d0-03fb-11f0-a9dc-45dd276e4cd5\"'"
							},
							"response": []
						},
						{
							"name": "Get users by customer id",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/users/d280aae0-f4f4-11ef-a9dc-45dd276e4cd5",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"users",
										"d280aae0-f4f4-11ef-a9dc-45dd276e4cd5"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/users/d280aae0-f4f4-11ef-a9dc-45dd276e4cd5'"
							},
							"response": []
						},
						{
							"name": "Get devices by customer id",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/device/d280aae0-f4f4-11ef-a9dc-45dd276e4cd5",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"device",
										"d280aae0-f4f4-11ef-a9dc-45dd276e4cd5"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/device/623eaf10-cdb3-11ef-a914-4377025c77c8'"
							},
							"response": []
						},
						{
							"name": "Get asset by customer id",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/assets/b5308c50-f36c-11ef-a9dc-45dd276e4cd5",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"assets",
										"b5308c50-f36c-11ef-a9dc-45dd276e4cd5"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/assets/623eaf10-cdb3-11ef-a914-4377025c77c8'"
							},
							"response": []
						}
					]
				},
				{
					"name": "Asset",
					"item": [
						{
							"name": "Create assets",
							"request": {
								"method": "POST",
								"header": [],
								"body": {
									"mode": "formdata",
									"formdata": [
										{
											"key": "id",
											"value": "201a1080-f35a-11ef-a9dc-45dd276e4cd5",
											"type": "text"
										},
										{
											"key": "name",
											"value": "Asset 001",
											"type": "text"
										},
										{
											"key": "label",
											"value": "Changed label",
											"type": "text"
										},
										{
											"key": "customer_xid",
											"value": "d280aae0-f4f4-11ef-a9dc-45dd276e4cd5",
											"type": "text"
										},
										{
											"key": "additionalInfo",
											"value": "Testing entering description",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "{{staging}}apia/asset",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"asset"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/asset' \\"
							},
							"response": []
						},
						{
							"name": "Asset listing",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/assets-list",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"assets-list"
									]
								},
								"description": "Generated from cURL: curl --location 'http://127.0.0.1:8000/apia/assets-list'"
							},
							"response": []
						},
						{
							"name": "Assets Delete",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/assets-delete",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"assets-delete"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/assets-delete"
							},
							"response": []
						},
						{
							"name": "Assign/Unassign asset to user",
							"request": {
								"method": "POST",
								"header": [],
								"body": {
									"mode": "formdata",
									"formdata": [
										{
											"key": "user_id[0]",
											"value": "eb365e76-4b5e-4026-9d9e-774e9b8d3409",
											"type": "text"
										},
										{
											"key": "user_id[1]",
											"value": "5423e96d-0e82-469b-be2f-88215f56b583",
											"type": "text"
										},
										{
											"key": "user_id[2]",
											"value": "08c977f0-fa7a-11ef-a9dc-45dd276e4cd5",
											"type": "text"
										},
										{
											"key": "asset_id",
											"value": "201a1080-f35a-11ef-a9dc-45dd276e4cd5",
											"type": "text"
										},
										{
											"key": "active",
											"value": "1",
											"description": "1=assign,0=unassign",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "{{staging}}apia/asset-assign",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"asset-assign"
									]
								},
								"description": "Generated from cURL: curl --location 'http://127.0.0.1:8000/apia/asset-assign' \\\n--form 'user_id=\"08c977f0-fa7a-11ef-a9dc-45dd276e4cd5\"' \\\n--form 'asset_id=\"2a85c230-f35a-11ef-a9dc-45dd276e4cd5\"' \\\n--form 'active=\"1\"' "
							},
							"response": []
						}
					]
				},
				{
					"name": "Devices",
					"item": [
						{
							"name": "Create Device Copy",
							"request": {
								"method": "POST",
								"header": [
									{
										"key": "",
										"value": "",
										"type": "text"
									}
								],
								"body": {
									"mode": "formdata",
									"formdata": [
										{
											"key": "id",
											"value": "9806b830-62e7-11f0-b10c-332b2e0a6aa8",
											"type": "text",
											"disabled": true
										},
										{
											"key": "name",
											"value": "Device 3004",
											"type": "text"
										},
										{
											"key": "label",
											"value": "Device-3004",
											"type": "text"
										},
										{
											"key": "deviceProfileId",
											"value": "bfbd2490-f34d-11ef-a9dc-45dd276e4cd5",
											"type": "text"
										},
										{
											"key": "customerId",
											"value": "4cadae10-095b-11f0-a9dc-45dd276e4cd5",
											"type": "text"
										},
										{
											"key": "asset_id",
											"value": "383111b0-d883-11ef-a914-4377025c77c8",
											"type": "text"
										},
										{
											"key": "additionalInfo",
											"value": "sdvdsv",
											"type": "text"
										},
										{
											"key": "speed_limit",
											"value": "100",
											"type": "text"
										},
										{
											"key": "torque_limit",
											"value": "20654",
											"type": "text"
										},
										{
											"key": "power_limit",
											"value": "3079",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "{{staging}}apia/device/create-or-update",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"device",
										"create-or-update"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/device/create-or-update' \\"
							},
							"response": []
						},
						{
							"name": "Device listing",
							"request": {
								"method": "GET",
								"header": [
									{
										"key": "Content-Type",
										"value": "application/json"
									},
									{
										"key": "Accept",
										"value": "application/json"
									}
								],
								"url": {
									"raw": "{{staging}}apia/device/list",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"device",
										"list"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/device/list' \\\r\n--header 'Content-Type: application/json' \\\r\n--header 'Accept: application/json'"
							},
							"response": []
						},
						{
							"name": "Delete Device",
							"request": {
								"method": "POST",
								"header": [],
								"body": {
									"mode": "formdata",
									"formdata": [
										{
											"key": "device_id",
											"value": "8ed21fd0-3177-11f0-b979-6d9a8addbe0e",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "{{staging}}apia/device/delete",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"device",
										"delete"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/device/delete' \\"
							},
							"response": []
						}
					]
				},
				{
					"name": "User",
					"item": [
						{
							"name": "User listing",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/users-list",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"users-list"
									]
								},
								"description": "Generated from cURL: curl --location 'http://127.0.0.1:8000/apia/users-list'\r\n\r\n\r\n"
							},
							"response": []
						},
						{
							"name": "Create user",
							"request": {
								"method": "POST",
								"header": [],
								"body": {
									"mode": "formdata",
									"formdata": [
										{
											"key": "email",
											"value": "nikhil.kadam@wdimails.com",
											"type": "text"
										},
										{
											"key": "authority",
											"value": "CUSTOMER_USER",
											"type": "text"
										},
										{
											"key": "tenant_id",
											"value": "0",
											"type": "text"
										},
										{
											"key": "customer_id",
											"value": "b5308c50-f36c-11ef-a9dc-45dd276e4cd5",
											"type": "text"
										},
										{
											"key": "first_name",
											"value": "Test User 1",
											"type": "text"
										},
										{
											"key": "last_name",
											"value": "yadav",
											"type": "text"
										},
										{
											"key": "phone",
											"value": "7412589632",
											"type": "text"
										},
										{
											"key": "name",
											"value": "new name",
											"type": "text"
										},
										{
											"key": "description",
											"value": "hello",
											"type": "text"
										},
										{
											"key": "default_dashboard_id",
											"value": "1",
											"type": "text"
										},
										{
											"key": "default_dashboard_fullscreen",
											"value": "1",
											"type": "text"
										},
										{
											"key": "home_dashboard_id",
											"value": "1",
											"type": "text"
										},
										{
											"key": "home_dashboard_hide_toolbar",
											"value": "1",
											"type": "text"
										},
										{
											"key": "user_credentials_enabled",
											"value": "1",
											"type": "text"
										},
										{
											"key": "failed_login_attempts",
											"value": "2",
											"type": "text"
										},
										{
											"key": "last_login_ts",
											"value": "2",
											"type": "text"
										},
										{
											"key": "version",
											"value": "1",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "{{staging}}apia/users-store",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"users-store"
									]
								},
								"description": "Generated from cURL: curl --location 'http://127.0.0.1:8000/apia/users-store' \\\r\n--form 'email=\"sayali@wdimails.com\"' \\\r\n--form 'authority=\"CUSTOMER_USER\"' \\\r\n--form 'tenant_id=\"0\"' \\\r\n--form 'customer_id=\"b5308c50-f36c-11ef-a9dc-45dd276e4cd5\"' \\\r\n--form 'first_name=\"sneha\"' \\\r\n--form 'last_name=\"yadav\"' \\\r\n--form 'phone=\"7412589632\"' \\\r\n--form 'name=\"new name\"' \\\r\n--form 'description=\"hello\"' \\\r\n--form 'default_dashboard_id=\"1\"' \\\r\n--form 'default_dashboard_fullscreen=\"1\"' \\\r\n--form 'home_dashboard_id=\"1\"' \\\r\n--form 'home_dashboard_hide_toolbar=\"1\"' \\\r\n--form 'user_credentials_enabled=\"1\"' \\\r\n--form 'failed_login_attempts=\"2\"' \\\r\n--form 'last_login_ts=\"2\"' \\\r\n--form 'version=\"1\"'"
							},
							"response": []
						},
						{
							"name": "Delete-User",
							"request": {
								"auth": {
									"type": "noauth"
								},
								"method": "POST",
								"header": [
									{
										"key": "Content-Type",
										"value": "application/json"
									},
									{
										"key": "Accept",
										"value": "application/json"
									}
								],
								"body": {
									"mode": "formdata",
									"formdata": [
										{
											"key": "user_id",
											"value": "d6bc18f0-ff2c-11ef-a9dc-45dd276e4cd5",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "{{staging}}apia/users-delete",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"users-delete"
									]
								}
							},
							"response": []
						},
						{
							"name": "Update-password-user",
							"request": {
								"auth": {
									"type": "noauth"
								},
								"method": "POST",
								"header": [],
								"body": {
									"mode": "formdata",
									"formdata": [
										{
											"key": "password",
											"value": "nikhil123",
											"type": "text"
										},
										{
											"key": "password_confirmation",
											"value": "nikhil123",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "{{staging}}apia/activate/0616ea17-31df-4cd2-a3ff-3fe09d7c6ea5/VxFxCUfFSjAZOtwjm5i5uF2XLPUxJtSFcfV7Q9MVJBqhjM3haWzuQAhVrIjESWVv",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"activate",
										"0616ea17-31df-4cd2-a3ff-3fe09d7c6ea5",
										"VxFxCUfFSjAZOtwjm5i5uF2XLPUxJtSFcfV7Q9MVJBqhjM3haWzuQAhVrIjESWVv"
									]
								}
							},
							"response": []
						},
						{
							"name": "Direct-User-login",
							"request": {
								"auth": {
									"type": "noauth"
								},
								"method": "POST",
								"header": [],
								"body": {
									"mode": "formdata",
									"formdata": [
										{
											"key": "email",
											"value": "nikhil.kadam@wdimails.com",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "{{staging}}apia/users-login",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"users-login"
									]
								}
							},
							"response": []
						}
					]
				},
				{
					"name": "Rule Chain",
					"item": [
						{
							"name": "Rule Chain listing",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/rule-chains",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"rule-chains"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/rule-chains' \\"
							},
							"response": []
						},
						{
							"name": "Rule Chain View",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/rule-chains/09669090-f34e-11ef-a9dc-45dd276e4cd5",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"rule-chains",
										"09669090-f34e-11ef-a9dc-45dd276e4cd5"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/rule-chains/09669090-f34e-11ef-a9dc-45dd276e4cd5' \\"
							},
							"response": []
						}
					]
				},
				{
					"name": "Alarm Management",
					"item": [
						{
							"name": "Create Alarm",
							"request": {
								"method": "POST",
								"header": [],
								"body": {
									"mode": "formdata",
									"formdata": [
										{
											"key": "type",
											"value": "High",
											"type": "text"
										},
										{
											"key": "severity",
											"value": "WARNING",
											"type": "text"
										},
										{
											"key": "startTs",
											"value": "",
											"type": "text"
										},
										{
											"key": "endts",
											"value": "",
											"type": "text"
										},
										{
											"key": "details",
											"value": "Testing alarm",
											"type": "text"
										},
										{
											"key": "originator",
											"value": "0452a4e0-0a28-11f0-a9dc-45dd276e4cd5",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "{{staging}}apia/alarm/create-or-update",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"alarm",
										"create-or-update"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/alarm/create-or-update' \\"
							},
							"response": []
						},
						{
							"name": "acknowelge alaram id wise",
							"request": {
								"auth": {
									"type": "noauth"
								},
								"method": "POST",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/alarm/ack/c86da10a-2fc2-490c-a525-a574f3bdbe00",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"alarm",
										"ack",
										"c86da10a-2fc2-490c-a525-a574f3bdbe00"
									]
								}
							},
							"response": []
						},
						{
							"name": "Clear Alarm id wise",
							"request": {
								"method": "POST",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/alarm/clear/15c5e99e-4243-49a1-b47b-1a501ab0f60c",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"alarm",
										"clear",
										"15c5e99e-4243-49a1-b47b-1a501ab0f60c"
									]
								},
								"description": "Generated from cURL: curl --location --request POST 'https://vib360backend.betadelivery.com/apia/alarm/clear/15c5e99e-4243-49a1-b47b-1a501ab0f60c'"
							},
							"response": []
						},
						{
							"name": "Get Admin Alarms Copy",
							"request": {
								"method": "POST",
								"header": [
									{
										"key": "Authorization",
										"value": "",
										"disabled": true
									}
								],
								"body": {
									"mode": "formdata",
									"formdata": [
										{
											"key": "statusList[0]",
											"value": "ACTIVE",
											"description": "ACTIVE,CLEARED,ACK,UNACK",
											"type": "text",
											"disabled": true
										},
										{
											"key": "statusList[1]",
											"value": "CLEARED",
											"type": "text",
											"disabled": true
										},
										{
											"key": "severityList[0]",
											"value": "WARNING",
											"description": "MAJOR, INDETERMINATE, WARNING, MINOR, CRITICAL",
											"type": "text",
											"disabled": true
										},
										{
											"key": "severityList[1]",
											"value": "CRITICAL",
											"type": "text",
											"disabled": true
										},
										{
											"key": "startTs",
											"value": "01/05/2025",
											"type": "text",
											"disabled": true
										},
										{
											"key": "endTs",
											"value": "13/05/2025",
											"type": "text",
											"disabled": true
										},
										{
											"key": "deviceIds[0]",
											"value": "2072cac0-f34d-11ef-a9dc-45dd276e4cd5",
											"type": "text",
											"disabled": true
										},
										{
											"key": "deviceIds[1]",
											"value": "85cf7c10-f352-11ef-a9dc-45dd276e4cd5",
											"type": "text",
											"disabled": true
										},
										{
											"key": "assetIds[0]",
											"value": "201a1080-f35a-11ef-a9dc-45dd276e4cd5",
											"type": "text"
										},
										{
											"key": "assetIds[1]",
											"value": "2a85c230-f35a-11ef-a9dc-45dd276e4cd5",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "{{staging}}apia/get-admin-alarms",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"get-admin-alarms"
									]
								}
							},
							"response": []
						},
						{
							"name": "Asset listing Copy",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/assets-list",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"assets-list"
									]
								},
								"description": "Generated from cURL: curl --location 'http://127.0.0.1:8000/apia/assets-list'"
							},
							"response": []
						},
						{
							"name": "Get device by asset Copy",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/get-device-by-asset/201a1080-f35a-11ef-a9dc-45dd276e4cd5",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"get-device-by-asset",
										"201a1080-f35a-11ef-a9dc-45dd276e4cd5"
									]
								}
							},
							"response": []
						}
					]
				},
				{
					"name": "Device Profile",
					"item": [
						{
							"name": "device profile master list",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/device-profile-master/list",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"device-profile-master",
										"list"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/device-profile-master/list'"
							},
							"response": []
						},
						{
							"name": "Update Device Profile",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "{{staging}}apia/update-device-profile-master/4e989080-04ad-11f0-a9dc-45dd276e4cd5",
									"host": [
										"{{staging}}apia"
									],
									"path": [
										"update-device-profile-master",
										"4e989080-04ad-11f0-a9dc-45dd276e4cd5"
									]
								},
								"description": "Generated from cURL: curl --location 'https://vib360backend.betadelivery.com/apia/update-device-profile-master/4e989080-04ad-11f0-a9dc-45dd276e4cd5' \\"
							},
							"response": []
						}
					]
				},
				{
					"name": "Get Admin Active Devices",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apia/get-admin-active-devices-list",
							"host": [
								"{{staging}}apia"
							],
							"path": [
								"get-admin-active-devices-list"
							]
						}
					},
					"response": []
				},
				{
					"name": "Admin Dashboard",
					"request": {
						"auth": {
							"type": "noauth"
						},
						"method": "GET",
						"header": [],
						"url": {
							"raw": "{{staging}}apia/admin-dashboard",
							"host": [
								"{{staging}}apia"
							],
							"path": [
								"admin-dashboard"
							]
						}
					},
					"response": []
				}
			]
		},
		{
			"name": "User Alarms",
			"item": [
				{
					"name": "get alarm by id",
					"request": {
						"auth": {
							"type": "noauth"
						},
						"method": "GET",
						"header": [],
						"url": {
							"raw": "{{staging}}apia/alarm/fb201c09-180a-4df4-a30f-8798e407584e",
							"host": [
								"{{staging}}apia"
							],
							"path": [
								"alarm",
								"fb201c09-180a-4df4-a30f-8798e407584e"
							]
						}
					},
					"response": []
				},
				{
					"name": "Get User Alarms Copy",
					"request": {
						"method": "POST",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"body": {
							"mode": "formdata",
							"formdata": [
								{
									"key": "statusList[0]",
									"value": "ACTIVE",
									"type": "text",
									"disabled": true
								},
								{
									"key": "statusList[1]",
									"value": "CLEARED",
									"type": "text",
									"disabled": true
								},
								{
									"key": "severityList[0]",
									"value": "WARNING",
									"type": "text",
									"disabled": true
								},
								{
									"key": "severityList[1]",
									"value": "CRITICAL",
									"type": "text",
									"disabled": true
								},
								{
									"key": "startTs",
									"value": "01/05/2025",
									"type": "text",
									"disabled": true
								},
								{
									"key": "endTs",
									"value": "13/05/2025",
									"type": "text",
									"disabled": true
								},
								{
									"key": "deviceIds[0]",
									"value": "2072cac0-f34d-11ef-a9dc-45dd276e4cd5",
									"type": "text",
									"disabled": true
								},
								{
									"key": "deviceIds[1]",
									"value": "85cf7c10-f352-11ef-a9dc-45dd276e4cd5",
									"type": "text",
									"disabled": true
								},
								{
									"key": "assetIds[0]",
									"value": "201a1080-f35a-11ef-a9dc-45dd276e4cd5",
									"type": "text",
									"disabled": true
								},
								{
									"key": "assetIds[0]",
									"value": "2a85c230-f35a-11ef-a9dc-45dd276e4cd5",
									"type": "text"
								}
							]
						},
						"url": {
							"raw": "{{staging}}apic/get-user-alarms",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"get-user-alarms"
							]
						}
					},
					"response": []
				},
				{
					"name": "Get User Assets Copy",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apic/get-user-assets",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"get-user-assets"
							]
						}
					},
					"response": []
				},
				{
					"name": "Get User Device by Asset Copy",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apic/get-user-device-by-asset/201a1080-f35a-11ef-a9dc-45dd276e4cd5",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"get-user-device-by-asset",
								"201a1080-f35a-11ef-a9dc-45dd276e4cd5"
							]
						}
					},
					"response": []
				}
			]
		},
		{
			"name": "Downloads",
			"item": [
				{
					"name": "Store report",
					"request": {
						"method": "POST",
						"header": [],
						"body": {
							"mode": "formdata",
							"formdata": [
								{
									"key": "request_time",
									"value": "",
									"type": "text"
								},
								{
									"key": "user_id",
									"value": "",
									"type": "text"
								},
								{
									"key": "device_xid",
									"value": "",
									"type": "text"
								},
								{
									"key": "start_date",
									"value": "",
									"type": "text"
								},
								{
									"key": "end_date",
									"value": "",
									"type": "text"
								},
								{
									"key": "report_type",
									"value": "",
									"type": "text"
								},
								{
									"key": "download_status",
									"value": "",
									"type": "text"
								}
							]
						},
						"url": {
							"raw": "{{staging}}apia/store/report",
							"host": [
								"{{staging}}apia"
							],
							"path": [
								"store",
								"report"
							]
						},
						"description": "Generated from cURL: curl --location 'http://127.0.0.1:8000/apia/store/report' \\\r\n--form 'request_time=\"\"' \\\r\n--form 'user_id=\"\"' \\\r\n--form 'device_xid=\"\"' \\\r\n--form 'start_date=\"\"' \\\r\n--form 'end_date=\"\"' \\\r\n--form 'report_type=\"\"' \\\r\n--form 'download_status=\"\"'"
					},
					"response": []
				},
				{
					"name": "Delete user report",
					"request": {
						"method": "DELETE",
						"header": [],
						"url": {
							"raw": "{{staging}}apia/destroy/report",
							"host": [
								"{{staging}}apia"
							],
							"path": [
								"destroy",
								"report"
							],
							"query": [
								{
									"key": "user_id",
									"value": "null",
									"disabled": true
								}
							]
						},
						"description": "Generated from cURL: curl --location --request DELETE 'http://127.0.0.1:8000/apia/destroy/report?user_id=null'"
					},
					"response": []
				},
				{
					"name": "Get user reports",
					"protocolProfileBehavior": {
						"disableBodyPruning": true
					},
					"request": {
						"method": "GET",
						"header": [],
						"body": {
							"mode": "formdata",
							"formdata": [
								{
									"key": "user_id",
									"value": "",
									"type": "text",
									"disabled": true
								}
							]
						},
						"url": {
							"raw": "{{staging}}apia/fetch/report",
							"host": [
								"{{staging}}apia"
							],
							"path": [
								"fetch",
								"report"
							]
						},
						"description": "Generated from cURL: curl --location --request GET 'http://127.0.0.1:8000/apia/fetch/report' \\\r\n--form 'user_id=\"\"'"
					},
					"response": []
				}
			]
		},
		{
			"name": "Customer Dashboard New",
			"item": [
				{
					"name": "Asset device listing",
					"request": {
						"auth": {
							"type": "noauth"
						},
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apic/user-assets",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"user-assets"
							]
						}
					},
					"response": []
				},
				{
					"name": "Customer device info - Client",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apic/customer-device-info",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"customer-device-info"
							]
						}
					},
					"response": []
				},
				{
					"name": "Get Device Indicators",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apic/get-device-indicators/201a1080-f35a-11ef-a9dc-45dd276e4cd5",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"get-device-indicators",
								"201a1080-f35a-11ef-a9dc-45dd276e4cd5"
							]
						}
					},
					"response": []
				},
				{
					"name": "Get Alerts & Instructions",
					"request": {
						"auth": {
							"type": "noauth"
						},
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apic/get-alerts/2072cac0-f34d-11ef-a9dc-45dd276e4cd5",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"get-alerts",
								"2072cac0-f34d-11ef-a9dc-45dd276e4cd5"
							]
						}
					},
					"response": []
				},
				{
					"name": "Get Global Indicators",
					"request": {
						"auth": {
							"type": "noauth"
						},
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apic/get-global-indicators/2072cac0-f34d-11ef-a9dc-45dd276e4cd5",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"get-global-indicators",
								"2072cac0-f34d-11ef-a9dc-45dd276e4cd5"
							]
						}
					},
					"response": []
				},
				{
					"name": "Get Trends",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apic/get-trends/2072cac0-f34d-11ef-a9dc-45dd276e4cd5",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"get-trends",
								"2072cac0-f34d-11ef-a9dc-45dd276e4cd5"
							]
						}
					},
					"response": []
				},
				{
					"name": "Get Cylinder Specific Indicators Copy",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apic/get-cylinder-specific-indicators/85cf7c10-f352-11ef-a9dc-45dd276e4cd5",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"get-cylinder-specific-indicators",
								"85cf7c10-f352-11ef-a9dc-45dd276e4cd5"
							]
						}
					},
					"response": []
				},
				{
					"name": "Get Peak Pressure Copy",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apic/get-peak-pressure/85cf7c10-f352-11ef-a9dc-45dd276e4cd5",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"get-peak-pressure",
								"85cf7c10-f352-11ef-a9dc-45dd276e4cd5"
							]
						}
					},
					"response": []
				},
				{
					"name": "Get Live Device Copy",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apic/get-live-device/50fb2a00-16b3-11f0-a9dc-45dd276e4cd5",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"get-live-device",
								"50fb2a00-16b3-11f0-a9dc-45dd276e4cd5"
							]
						}
					},
					"response": []
				},
				{
					"name": "User Info Copy",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apic/user-info",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"user-info"
							]
						}
					},
					"response": []
				},
				{
					"name": "Get Active Devices List Copy",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "Authorization",
								"value": "Bearer {{user-token}}",
								"type": "text"
							}
						],
						"url": {
							"raw": "{{staging}}apic/get-active-devices-list",
							"host": [
								"{{staging}}apic"
							],
							"path": [
								"get-active-devices-list"
							]
						}
					},
					"response": []
				}
			]
		}
	],
	"event": [
		{
			"listen": "prerequest",
			"script": {
				"type": "text/javascript",
				"packages": {},
				"exec": [
					""
				]
			}
		},
		{
			"listen": "test",
			"script": {
				"type": "text/javascript",
				"packages": {},
				"exec": [
					""
				]
			}
		}
	],
	"variable": [
		{
			"key": "local",
			"value": "http://127.0.0.1:8000/apic/",
			"type": "string"
		},
		{
			"key": "dev",
			"value": "http://vib360backend.betadelivery.com/",
			"type": "string"
		},
		{
			"key": "user-token",
			"value": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJodHRwczovL3ZpYjM2MGJhY2tlbmQuYmV0YWRlbGl2ZXJ5LmNvbS9hcGljL3VzZXItbG9naW4iLCJpYXQiOjE3NDM0MDQxMjcsImV4cCI6MTc0MzQwNzcyNywibmJmIjoxNzQzNDA0MTI3LCJqdGkiOiI2UDBDaFpWaWdORlJtMEY3Iiwic3ViIjoiMDhjOTc3ZjAtZmE3YS0xMWVmLWE5ZGMtNDVkZDI3NmU0Y2Q1IiwicHJ2IjoiMjNiZDVjODk0OWY2MDBhZGIzOWU3MDFjNDAwODcyZGI3YTU5NzZmNyJ9.6VqdoBKPxwEYmQG8mO8VWkp7fqlTx_VhpD62fpb_HLA",
			"type": "string"
		},
		{
			"key": "local",
			"value": "http://localhost/vib360/",
			"type": "string",
			"disabled": true
		},
		{
			"key": "staging",
			"value": "http://uat-api.vib360world.com/api/",
			"type": "string"
		}
	]
}